Confirmations

Resend a confirmation code

Use this method to resend a verification code required to confirm certain procedures. For example, it's possible to resend a code that a client must enter when attempting to restore a fogotten password from the Sign In page.

POST
/api/v2/my/confirmations/resend

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/confirmations/resend" \  -H "Content-Type: application/json" \  -d '{}'
{  "code": 200,  "data": {    "status": 0,    "sent": 1,    "expiredAt": "2022-01-01T00:00:00+00:00",    "sentAt": "2022-01-01T00:00:00+00:00",    "recipient": {      "template": "Withdraw_whitelistConfirm",      "email": "username@example.com",      "name": "Nick",      "url": "url/e57d34c6-4e64-4998-909b-b649294fbd04/44353",      "method": "email"    }  },  "done": false,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "2fa_sms_auth"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}